Opened 5 years ago

Closed 5 years ago

#44520 closed enhancement (fixed)

py-pyobjc-quartz @2.5.1: Update

Reported by: radaroutthere@… Owned by: lkraider (Paul Eipper)
Priority: Normal Milestone:
Component: ports Version:
Keywords: haspatch Cc: cooljeanius (Eric Gallager), petrrr
Port: py-pyobjc-quartz

Description

py-pyobjc-quartz does not support Python 3.4

Attachments (1)

py-pyobjc-quartz.diff (654 bytes) - added by radaroutthere@… 5 years ago.

Download all attachments as: .zip

Change History (10)

Changed 5 years ago by radaroutthere@…

Attachment: py-pyobjc-quartz.diff added

comment:1 Changed 5 years ago by radaroutthere@…

Cc: radaroutthere@… added

Cc Me!

comment:2 Changed 5 years ago by cooljeanius (Eric Gallager)

Cc: egall@… added

Cc Me!

comment:3 Changed 5 years ago by mf2k (Frank Schima)

Cc: radaroutthere@… removed
Owner: changed from macports-tickets@… to lkraider+ports@…
Port: py-pyobjc-quartz added
Summary: py-pyobjc-quartz @2.5.1: Add py34 supportpy-pyobjc-quartz @2.5.1: Update to version 2.5.2 and add py34 support
Version: 2.3.1

In the future, please fill in the Port field and Cc the port maintainers (port info --maintainers py-pyobjc-quartz). As reporter, you do not need to Cc yourself.

comment:4 Changed 5 years ago by petrrr

Cc: petr@… added

Cc Me!

comment:5 Changed 5 years ago by lkraider (Paul Eipper)

I don't see a version 2.5.2, only 3.0.1 in Pypi: https://pypi.python.org/pypi/pyobjc-framework-Quartz

Also the tags they use don't explicitly indicate Python 3.4 compatibility, although it should work according to the code repository description: https://bitbucket.org/ronaldoussoren/pyobjc/

The PyObjC portfile needs to be updated to 3.0.1 before any of the frameworks though.

comment:6 Changed 5 years ago by petrrr

With the update, please remove deprecated subports py31 and py32 as discussed on the devel list.

comment:7 Changed 5 years ago by petrrr

py34 subport was implemented by r130122. Update to be implemented, current version is now @ 3.0.4.

comment:8 Changed 5 years ago by petrrr

Summary: py-pyobjc-quartz @2.5.1: Update to version 2.5.2 and add py34 supportpy-pyobjc-quartz @2.5.1: Update

comment:9 Changed 5 years ago by petrrr

Resolution: fixed
Status: newclosed

There is more recent ticket #47137 proposing the update to 3.0.4, so I will close this as fixed. The update will be tracked by the newer ticket.

Note: See TracTickets for help on using tickets.